<template>
  <div class="month-year-picker">
    <VueDatePicker v-model="selectedDate" month-picker placeholder="Select a Month"></VueDatePicker>
  </div>
</template>

<script>
import VueDatePicker from '@vuepic/vue-datepicker';
import '@vuepic/vue-datepicker/dist/main.css'

export default {
  components: {
    VueDatePicker
  },
  data() {
    return {
      selectedDate: null,
    };
  },
  methods: {
    handleDateChange(date) {
      const today = new Date();
      if (date > today) {
        this.selectedDate = today;
      }
      this.$emit('date-changed', this.selectedDate);
    },
    disabledDates(date) {
      return date > new Date(); // Disable future dates
    }
  }
};
</script>

<style scoped>
.month-year-picker {
  width: 200px;
  margin-bottom: 30px;
}
</style>